<?

function rekl($sel){
global $set;
	
//Для страниц, кроме главной, у нас другая позиция
if ($sel == 3 && $_SERVER['PHP_SELF'] != '/index.php')
$sel = 4; 

$k_post = mysql_result(mysql_query("SELECT COUNT(id) FROM `rekl` WHERE `sel` = '$sel' AND `time_last`"), 0);
$q = mysql_query("SELECT * FROM `rekl` WHERE `sel` = '$sel' AND `time_last` > '" . time() . "' ORDER BY id ASC");

if ($k_post == 0){
echo '<div class="ads">Нет рекламы</div>';
}else{
//Вывод рекламы
echo '<div class="ads">';
while ($post = mysql_fetch_assoc($q)){
if ($sel == 2)
echo icons('rekl.png','code');
if ($post['dop_str'] == 1){
//Дополнительная страница
echo '<i style="font-size: 22px; color: #4a76a8; float: left; margin: -2px 8px 0 0;" class="material-icons">grade</i> <a' . ($set['web'] ? ' target="_blank"' : null) . ' href="http://' . $_SERVER['SERVER_NAME'] . '/user/go.php?go=' . $post['id'] . '">';
}else{
//Без дополнительной страницы
echo '<i class="material-icons">grade</i> <a' . ($set['web'] ? ' target="_blank"' : null) . ' href="' . $post['link'] . '">';
}
if ($post['img'] == NULL){
echo $post['name'];
}else{
echo '<img width="20" src="' . $post['img'] . '" alt="' . $post['name'] . '">';
}
echo '</a></br>';
}
//
$timeout = 2; // таймаут соединения с сервером (в секундах)
$ch = curl_init(); // Запускаем CURL
curl_setopt($ch, CURLOPT_URL, 'http://adsok.mobi/view.php?id=1441'); // Получаем рекламу
curl_setopt($ch, CURLOPT_TIMEOUT, $timeout); // Задаем Тайм-аут
curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout); // Задаем Тайм-аут подключения
curl_exec($ch); // Отображаем рекламу
curl_close($ch); // Закрываем CURL
echo '</div>';
}

}

?>